Name:          aalto-xml
Version:       1.0.0
Release:       7
Summary:       Ultra-high performance non-blocking XML processor (Stax/Stax2, SAX/SAX2)
License:       ASL 2.0
URL:           https://www.studytrails.com/java/xml/aalto/java-xml-aalto-introduction/
Source0:       https://github.com/FasterXML/aalto-xml/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local mvn(com.fasterxml:oss-parent:pom:) mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin) mvn(org.codehaus.woodstox:stax2-api)
BuildArch:     noarch

%description
Aalto XML processor is an ultra-high performance next generation Stax XML processor implementation,
implementing both basic Stax API (javax.xml.stream) and Stax2 API extension (org.codehaus.woodstox.stax2).
In addition, it also implements SAX2 API.

In additional to standard Java XML interfaces, one unique feature not implemented by any other
Java XML parser that we are aware is so-called non-blocking (asynchronous) XML parsing: ability
to parse XML without using blocking I/O, necessary for fully asynchronous processing such as those
with Akka framework. Aalto non-blocking API is a minimalistic extension above Stax/Stax2 API to
allow indication of "not yet available" token (EVENT_INCOMPLETE) as well as feeding of input (since
InputStream can not be used as it blocks)

%package help
Summary:       help documentation for aalto-xml
Provides:      aalto-xml-javadoc = %{version}-%{release}
Obsoletes:     aalto-xml-javadoc < %{version}-%{release}

%description help
This package contains help documentation for aalto-xml.

%prep
%autosetup -n %{name}-%{name}-%{version} -p1

find -name "*.class" -exec rm {} \;
find -name "*.jar" -exec rm {} \;

mv release-notes/asl/ASL2.0 LICENSE
mv release-notes/asl/LICENSE NOTICE

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md release-notes/*
%license LICENSE NOTICE

%files help -f .mfiles-javadoc

%changelog
* Fri Dec 20 2019 wanjiankang <wanjiankang@huawei.com> - 1.0.0-7
- initial rpm
